1

I have a MacBook Pro (Retina, 13-inch, Early 2015) 3.1 GHZ i7 (16 GB memory, ~380GB diskspace left). It is currently running Mojave 10.14.3. It seems like the latest version is actually 10.14.6, but when I go to System Preferences > Software Update... it says "Your Mac is up to date". (Under Advanced..., every box is ticked.)

Does my Mac not support the newer update? If it does, how do I make it see the update?

0

Have you tried this

https://support.apple.com/kb/DL2010?locale=en_US

It allows you to download the dmg and you can try to push manually. I think, your MBP 2015 should support the latest Mojave as you have installed its older version already.

  • When I try and install I get told "This volume is not formatted as APFS" and now I am confused as to how Mojave got installed at all. :( – movieglass Sep 13 at 8:02
  • Check this :macobserver.com/tips/how-to/upgrade-mac-apfs-after-high-sierra try to change to APFS. – Udhy Sep 13 at 8:29
  • After having converted it to APFS, when I try and install the Mojave update it says "Your Mac needs a firmware update in order to install to this volume. Please slect a Mac OS Extended (Journaled) volume instead". – movieglass Sep 16 at 10:51
  • Then, So there were 2 solutions: 1. Backup the internal flash drive, erase, reformat as HFS+, and run the installer again. 2. Install Mojave on an external HFS+-formatted drive. Explanation: with the “stock” firmware of a replacement logic board, the installer expects an HFS+-formatted drive, and won’t update the firmware until it can install the OS on an HFS+-formatted drive. – Udhy Sep 16 at 11:12
  • 1
    That did indeed fix the problem, thank you! – movieglass Sep 16 at 13:19

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .